-- 算法定义
CREATE TABLE ALG_DEFINITION (
    GKEY                  VARCHAR(50) NOT NULL                    COMMENT '主键',
    ID                    VARCHAR(100) NOT NULL                   COMMENT '算法ID',
    NAME                  VARCHAR(200) NOT NULL                    COMMENT '算法名称',
    DESCRIPTION           VARCHAR(500)                             COMMENT '算法描述',
    VERSION               VARCHAR(50) NOT NULL                    COMMENT '版本号',
    TIME_STANDARD         VARCHAR(200)                            COMMENT '耗时要求',
    CALL_METHOD           VARCHAR(200)                            COMMENT '调用方法',
    USE_LEVEL             VARCHAR(100)                            COMMENT '使用级别',
    INPUT_EXPLAIN         longtext                              COMMENT '输入数据说明',
    OUT_EXPLAIN           longtext                              COMMENT '输出数据说明',
    EVALUATION_EXPLAIN    longtext                              COMMENT '评价指标说明',
    CREATED               DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    CREATOR               VARCHAR(100) DEFAULT 'sys' NOT NULL         COMMENT '创建人',
    CHANGED               DATETIME DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '修改时间',
    CHANGER               VARCHAR(100) DEFAULT 'sys' NOT NULL         COMMENT '修改人',
    IS_DELETED            INT(1) DEFAULT 0 NOT NULL                   COMMENT '是否删除(0/否1/是)',
    PRIMARY KEY (GKEY)
);